summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-07-05 13:38:03 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-07-05 13:38:03 +0000
commit2a2b4f0d187b157262ea63113a592bf0e73f2a17 (patch)
tree5961f2455d13c8a8bdf84fe7c23460ccde32999e /dev-python
parent7edad8d565f5db14ce0fc626c07f5a380e97b012 (diff)
downloadbaldeagleos-repo-2a2b4f0d187b157262ea63113a592bf0e73f2a17.tar.gz
baldeagleos-repo-2a2b4f0d187b157262ea63113a592bf0e73f2a17.tar.xz
baldeagleos-repo-2a2b4f0d187b157262ea63113a592bf0e73f2a17.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/alembic/Manifest1
-rw-r--r--dev-python/alembic/alembic-1.6.2.ebuild31
-rw-r--r--dev-python/alembic/alembic-1.6.5.ebuild2
-rw-r--r--dev-python/deprecation/deprecation-2.1.0.ebuild13
-rw-r--r--dev-python/extras/extras-1.0.0-r1.ebuild3
-rw-r--r--dev-python/fixtures/fixtures-3.0.0-r1.ebuild5
-rw-r--r--dev-python/fonttools/fonttools-4.24.4-r1.ebuild2
-rw-r--r--dev-python/google-api-python-client/google-api-python-client-2.11.0.ebuild7
-rw-r--r--dev-python/google-api-python-client/google-api-python-client-2.8.0.ebuild7
-rw-r--r--dev-python/iminuit/Manifest1
-rw-r--r--dev-python/iminuit/iminuit-2.7.0.ebuild31
-rw-r--r--dev-python/importlib_metadata/Manifest1
-rw-r--r--dev-python/importlib_metadata/importlib_metadata-4.6.1.ebuild42
-rw-r--r--dev-python/kafka-python/kafka-python-1.4.7.ebuild15
-rw-r--r--dev-python/linecache2/linecache2-1.0.0-r1.ebuild14
-rw-r--r--dev-python/pbr/pbr-5.6.0.ebuild2
-rw-r--r--dev-python/pyclipper/pyclipper-1.2.1.ebuild4
-rw-r--r--dev-python/pytest-rerunfailures/Manifest1
-rw-r--r--dev-python/pytest-rerunfailures/pytest-rerunfailures-10.0.ebuild2
-rw-r--r--dev-python/pytest-rerunfailures/pytest-rerunfailures-9.1.1.ebuild22
-rw-r--r--dev-python/setuptools/Manifest1
-rw-r--r--dev-python/setuptools/setuptools-57.1.0.ebuild75
-rw-r--r--dev-python/testresources/testresources-2.0.1.ebuild12
-rw-r--r--dev-python/testscenarios/testscenarios-0.5.0-r1.ebuild13
-rw-r--r--dev-python/testtools/files/testtools-2.4.0-assertitemsequal.patch27
-rw-r--r--dev-python/testtools/files/testtools-2.4.0-py310.patch43
-rw-r--r--dev-python/testtools/testtools-2.4.0-r2.ebuild60
-rw-r--r--dev-python/xlsxwriter/Manifest1
-rw-r--r--dev-python/xlsxwriter/xlsxwriter-1.4.4.ebuild22
29 files changed, 349 insertions, 111 deletions
diff --git a/dev-python/alembic/Manifest b/dev-python/alembic/Manifest
index d663054eeb64..9e9b79b59620 100644
--- a/dev-python/alembic/Manifest
+++ b/dev-python/alembic/Manifest
@@ -1,2 +1 @@
-DIST alembic-1.6.2.tar.gz 1167842 BLAKE2B 0b61282987e974e81b1007d4a66620b1ac2393b175f91011d0d6c450af1038a9ea553f4a7c1906b2e463f7b95617a00629f337547788821b250373f0de18d0b7 SHA512 d5b23812d3e65e9642f39e2596ab86773476a77959938f518438d7659c2da5436432fdc020a5fbda33fe866a047d9558f7a4c5eabe032a6d3f2e6d04ff7928e7
DIST alembic-1.6.5.tar.gz 1174376 BLAKE2B a1bfdf611b30831363bd29a63f2a50d7c31e348ab6f450f709d1e8dbd891441263d8e0067de38c09351c26c26d07178e3079b30b5c976dfa90cd24d5973038d8 SHA512 8e5ce4bb41a47fb2c263d3542d7fd2dad04bd76b81a6a565fa93cef80a38a016944924b9eb57895ae71d7f8eef428bf440388444ef750bf281616e514a61c79b
diff --git a/dev-python/alembic/alembic-1.6.2.ebuild b/dev-python/alembic/alembic-1.6.2.ebuild
deleted file mode 100644
index a6aec52fcf04..000000000000
--- a/dev-python/alembic/alembic-1.6.2.ebuild
+++ /dev/null
@@ -1,31 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-inherit distutils-r1
-
-DESCRIPTION="database migrations tool, written by the author of SQLAlchemy"
-HOMEPAGE="https://github.com/sqlalchemy/alembic"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 x86"
-IUSE="doc"
-
-RDEPEND="
- >=dev-python/sqlalchemy-1.1.0[${PYTHON_USEDEP}]
- dev-python/mako[${PYTHON_USEDEP}]
- >=dev-python/python-editor-0.3[${PYTHON_USEDEP}]
- dev-python/python-dateutil[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-
-python_install_all() {
- use doc && local HTML_DOCS=( docs/. )
-
- distutils-r1_python_install_all
-}
diff --git a/dev-python/alembic/alembic-1.6.5.ebuild b/dev-python/alembic/alembic-1.6.5.ebuild
index d53ec4cad934..a6aec52fcf04 100644
--- a/dev-python/alembic/alembic-1.6.5.ebuild
+++ b/dev-python/alembic/alembic-1.6.5.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 ~arm64 x86"
IUSE="doc"
RDEPEND="
diff --git a/dev-python/deprecation/deprecation-2.1.0.ebuild b/dev-python/deprecation/deprecation-2.1.0.ebuild
index d18a422ec2ab..ed0cc04670e0 100644
--- a/dev-python/deprecation/deprecation-2.1.0.ebuild
+++ b/dev-python/deprecation/deprecation-2.1.0.ebuild
@@ -1,10 +1,9 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-
inherit distutils-r1
DESCRIPTION="A library to handle automated deprecations"
@@ -16,11 +15,11 @@ SLOT="0"
KEYWORDS="amd64 arm ~arm64 ~hppa ~ia64 ppc ppc64 sparc x86"
RDEPEND="dev-python/packaging[${PYTHON_USEDEP}]"
-BDEPEND="
- test? (
- dev-python/unittest2[${PYTHON_USEDEP}]
- )
-"
distutils_enable_sphinx docs
distutils_enable_tests unittest
+
+src_prepare() {
+ sed -i -e 's:unittest2:unittest:' tests/test_deprecation.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/extras/extras-1.0.0-r1.ebuild b/dev-python/extras/extras-1.0.0-r1.ebuild
index 468aad13d32d..bfae90287ae5 100644
--- a/dev-python/extras/extras-1.0.0-r1.ebuild
+++ b/dev-python/extras/extras-1.0.0-r1.ebuild
@@ -1,10 +1,9 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-
inherit distutils-r1
DESCRIPTION="Useful extra bits for Python that should be in the standard library"
diff --git a/dev-python/fixtures/fixtures-3.0.0-r1.ebuild b/dev-python/fixtures/fixtures-3.0.0-r1.ebuild
index 8b3f9ccfde18..056e6119fa05 100644
--- a/dev-python/fixtures/fixtures-3.0.0-r1.ebuild
+++ b/dev-python/fixtures/fixtures-3.0.0-r1.ebuild
@@ -1,10 +1,9 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-
inherit distutils-r1
DESCRIPTION="Fixtures, reusable state for writing clean tests and more"
@@ -23,7 +22,7 @@ RDEPEND="
>=dev-python/pbr-0.11[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
>=dev-python/testtools-0.9.22[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
+BDEPEND="${RDEPEND}
test? ( dev-python/mock[${PYTHON_USEDEP}] )"
src_prepare() {
diff --git a/dev-python/fonttools/fonttools-4.24.4-r1.ebuild b/dev-python/fonttools/fonttools-4.24.4-r1.ebuild
index 8f2f0f67cbd1..4403b5741ca7 100644
--- a/dev-python/fonttools/fonttools-4.24.4-r1.ebuild
+++ b/dev-python/fonttools/fonttools-4.24.4-r1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="https://github.com/fonttools/fonttools/archive/${PV}.tar.gz -> ${P}.tar
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ppc ppc64 ~riscv sparc x86 ~x64-macos"
+KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ~ia64 ppc ppc64 ~riscv sparc x86 ~x64-macos"
RDEPEND=">=dev-python/fs-2.4.9[${PYTHON_USEDEP}]"
BDEPEND="
diff --git a/dev-python/google-api-python-client/google-api-python-client-2.11.0.ebuild b/dev-python/google-api-python-client/google-api-python-client-2.11.0.ebuild
index ec59b155e2f7..b22215560af2 100644
--- a/dev-python/google-api-python-client/google-api-python-client-2.11.0.ebuild
+++ b/dev-python/google-api-python-client/google-api-python-client-2.11.0.ebuild
@@ -32,11 +32,16 @@ BDEPEND="
dev-python/oauth2client[${PYTHON_USEDEP}]
dev-python/pandas[${PYTHON_USEDEP}]
dev-python/parameterized[${PYTHON_USEDEP}]
- dev-python/unittest2[${PYTHON_USEDEP}]
)"
distutils_enable_tests --install pytest
+src_prepare() {
+ find tests -name '*.py' -exec \
+ sed -i -e 's:unittest2 as ::' {} + || die
+ distutils-r1_src_prepare
+}
+
python_test() {
local deselect=(
# require Internet access (and credentials)
diff --git a/dev-python/google-api-python-client/google-api-python-client-2.8.0.ebuild b/dev-python/google-api-python-client/google-api-python-client-2.8.0.ebuild
index 14d30fd74c4d..1de5855bf614 100644
--- a/dev-python/google-api-python-client/google-api-python-client-2.8.0.ebuild
+++ b/dev-python/google-api-python-client/google-api-python-client-2.8.0.ebuild
@@ -32,11 +32,16 @@ BDEPEND="
dev-python/oauth2client[${PYTHON_USEDEP}]
dev-python/pandas[${PYTHON_USEDEP}]
dev-python/parameterized[${PYTHON_USEDEP}]
- dev-python/unittest2[${PYTHON_USEDEP}]
)"
distutils_enable_tests --install pytest
+src_prepare() {
+ find tests -name '*.py' -exec \
+ sed -i -e 's:unittest2 as ::' {} + || die
+ distutils-r1_src_prepare
+}
+
python_test() {
local deselect=(
# require Internet access (and credentials)
diff --git a/dev-python/iminuit/Manifest b/dev-python/iminuit/Manifest
index 6b7d5b10e486..b47629446c89 100644
--- a/dev-python/iminuit/Manifest
+++ b/dev-python/iminuit/Manifest
@@ -3,3 +3,4 @@ DIST iminuit-2.4.0.tar.gz 372122 BLAKE2B f6590bb67d8c79cb8398345a76a7af7e95bec83
DIST iminuit-2.5.0.tar.gz 375912 BLAKE2B 422bb8ec8f6a763ff010bd28f695a1b26ef3b3c44e324ffc2f4592d224ba5380d29b47b99d9f8b3f9dd8a5d81ed45197b6f89eb2d2fa599d8d1fdf9e50358e58 SHA512 25ce217ded4f9a142cf0522d9e66efeee4c3bcc16cd1f324a5008c1b64477b2a37a9655ea939c74bc60f9222cae8045bf7a77a5807b09cb3e3e61da4f41e3c91
DIST iminuit-2.6.0.tar.gz 376846 BLAKE2B 5c5c8ec223ede39ea3c02d3df0639e52047f897eed7b441d567ed3f88656c6ae5740efffb234bbf29ecfa4578bce38a6a5ff4983d738ad1321df35efd0c14acf SHA512 6f413e11d8be3a823a7d12bf1e9197abb27561a15ec29127f6bf4c2339dfc67344b0900522d10e59dbbe1eb08bafb931950b2edb5f5679e06459bdf52abc1170
DIST iminuit-2.6.1.tar.gz 376846 BLAKE2B bec73b182a24c242fe5c8931e7cb745728b8f492c8989c9d58615b71bcc705e5c36195e28158b550e06b9356235d5a89f9e170da62b808dd89a1083f705e0650 SHA512 5a600842c8e4ae0d2c1ec4b24d5f5a33dae6d0e7659b1908b4215289f82974d97a932366817c7af257d63bf5418080884c01936d84b55942f6149b05db7ab03f
+DIST iminuit-2.7.0.tar.gz 384016 BLAKE2B 857df47e8f4779c41b32e624ce3c5dfe16f39f57441f1f32367c9170bfe6f74fb84eb67a54b773690ce5fdde762d3383adbaf97e81d917a17e2995b9e69623be SHA512 c4f5ba80024e87e57087175b012d043df65079e5b8f0376ff7254ebb256ca845460b3c330043aacd960092178ce8fd4d8bd3cccd93ebe3515f7a9896b756c629
diff --git a/dev-python/iminuit/iminuit-2.7.0.ebuild b/dev-python/iminuit/iminuit-2.7.0.ebuild
new file mode 100644
index 000000000000..876e12389b8f
--- /dev/null
+++ b/dev-python/iminuit/iminuit-2.7.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+# forced implicitly
+CMAKE_MAKEFILE_GENERATOR=emake
+inherit cmake distutils-r1 virtualx
+
+DESCRIPTION="Minuit numerical function minimization in Python"
+HOMEPAGE="https://github.com/scikit-hep/iminuit/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT LGPL-2.1"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="dev-python/numpy[${PYTHON_USEDEP}]"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+python_test() {
+ virtx epytest
+}
diff --git a/dev-python/importlib_metadata/Manifest b/dev-python/importlib_metadata/Manifest
index 43ffb23b2703..7fd95989738c 100644
--- a/dev-python/importlib_metadata/Manifest
+++ b/dev-python/importlib_metadata/Manifest
@@ -1,3 +1,4 @@
DIST importlib_metadata-4.3.1.tar.gz 38637 BLAKE2B f9c9330fd9b63bbea3fc30ed6d3cc384f9b241f0089ca7b0b5fe1934214e9f644c3884ecfc866b9b9e6af6c0fd7d04fc5e8af83e252d2e1b0e274fcf408a7323 SHA512 2202be5f7b7f1c1fdad4c6b290da60fa5c9576c665c11f9c62012791b50ee0b6da029bbe424c9501ac1f663f4df883fbd3c6cb9179cb80491b2b350cfa2eec30
DIST importlib_metadata-4.5.0.tar.gz 39595 BLAKE2B 22ef03a47637f523b583cb8c442f7351e0b94633772978fea47dab9be583f35daa32691997b4110b832709658568b6eb79a006f109b969c6f25a638dcfcd4702 SHA512 62b9cefa502d751d36b5f43606ea86c46574fea159941b68319e5dd9aa53d6d990e630c36d72830c54eb2bba2f2be53201be2482974f833cc1da8869eb2a8dc2
DIST importlib_metadata-4.6.0.tar.gz 39664 BLAKE2B 62278f46b0fb3428384ab52696de724c0b13409d2b80a07885beab34019fee9d8bd49c096a0b71b10801941ba9d3e66445acbdfcd589e6a44cec5ab7855dabdf SHA512 abc98e3dafc51f1c02c6a2bee8134c17d205d3ecaab301c0abf9a5e1bc0454fa8ad316caf78d764db88688271511f954c6eefbfd91750b5c026757436c63fbdf
+DIST importlib_metadata-4.6.1.tar.gz 39801 BLAKE2B 89a792eee17f31a86c27820a0b3972cd8f6a06314763930ccdf0cfce31435f8074e6f8f27050d1618713ee6d517f0cd8dfba6a86b1e8917af2769ae22ac40cf5 SHA512 2a0bcef3d49de00a1013eac48f1ce020cb89ab895f5e4a1673b46a1ad8f84515148eff33608847331de8ee05d7e10040e128b2c887065d3ca16d0bd338c761c0
diff --git a/dev-python/importlib_metadata/importlib_metadata-4.6.1.ebuild b/dev-python/importlib_metadata/importlib_metadata-4.6.1.ebuild
new file mode 100644
index 000000000000..ff9c09d60191
--- /dev/null
+++ b/dev-python/importlib_metadata/importlib_metadata-4.6.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# NB: this package extends beyond built-in importlib stuff in py3.8+
+# new entry_point API not yet included in cpython release
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Read metadata from Python packages"
+HOMEPAGE="https://github.com/python/importlib_metadata"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ $(python_gen_cond_dep 'dev-python/typing-extensions[${PYTHON_USEDEP}]' pypy3)
+ dev-python/zipp[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/pyfakefs[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib_resources[${PYTHON_USEDEP}]
+ ' pypy3 python3_8)
+ )
+"
+
+distutils_enable_sphinx docs dev-python/jaraco-packaging dev-python/rst-linker
+distutils_enable_tests unittest
+
+python_prepare_all() {
+ # Skip a test that requires pep517 which is not in the tree
+ sed -e 's:test_find_local:_&:' -i tests/test_integration.py || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/kafka-python/kafka-python-1.4.7.ebuild b/dev-python/kafka-python/kafka-python-1.4.7.ebuild
index 4b11dc7f933a..5b06bfb5113a 100644
--- a/dev-python/kafka-python/kafka-python-1.4.7.ebuild
+++ b/dev-python/kafka-python/kafka-python-1.4.7.ebuild
@@ -1,9 +1,9 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+EAPI=8
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
inherit distutils-r1
DESCRIPTION="Kafka protocol support in Python"
@@ -13,17 +13,12 @@ SRC_URI="https://github.com/dpkp/kafka-python/archive/${PV}.tar.gz -> ${P}.tar.g
LICENSE="Apache-2.0"
KEYWORDS="~amd64 ~x86"
SLOT="0"
-IUSE="snappy test"
-RESTRICT="!test? ( test )"
+IUSE="snappy"
RDEPEND="snappy? ( dev-python/snappy[${PYTHON_USEDEP}] )"
BDEPEND="
test? (
- ${RDEPEND}
- dev-python/mock[${PYTHON_USEDEP}]
- dev-python/unittest2[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
)"
-python_test() {
- unit2 -v || die "tests failed with ${EPYTHON}"
-}
+distutils_enable_tests pytest
diff --git a/dev-python/linecache2/linecache2-1.0.0-r1.ebuild b/dev-python/linecache2/linecache2-1.0.0-r1.ebuild
index 3376cac8f71c..0ad3c607d702 100644
--- a/dev-python/linecache2/linecache2-1.0.0-r1.ebuild
+++ b/dev-python/linecache2/linecache2-1.0.0-r1.ebuild
@@ -1,10 +1,9 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-
inherit distutils-r1
DESCRIPTION="Backports of the linecache module"
@@ -14,16 +13,17 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="PSF-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
BDEPEND="
dev-python/pbr[${PYTHON_USEDEP}]
test? (
dev-python/fixtures[${PYTHON_USEDEP}]
- dev-python/unittest2[${PYTHON_USEDEP}]
)"
-python_test() {
- "${PYTHON}" -m unittest2 discover || die "tests failed under ${EPYTHON}"
+distutils_enable_tests unittest
+
+src_prepare() {
+ # eliminate unittest2 dep
+ sed -i -e '/unittest/s:2 as.*::' linecache2/tests/test_linecache.py || die
+ distutils-r1_src_prepare
}
diff --git a/dev-python/pbr/pbr-5.6.0.ebuild b/dev-python/pbr/pbr-5.6.0.ebuild
index 045545e089c5..98745f03e1e1 100644
--- a/dev-python/pbr/pbr-5.6.0.ebuild
+++ b/dev-python/pbr/pbr-5.6.0.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
PYTHON_REQ_USE="threads(+)"
diff --git a/dev-python/pyclipper/pyclipper-1.2.1.ebuild b/dev-python/pyclipper/pyclipper-1.2.1.ebuild
index 0ea1daf8c44b..58c860d09615 100644
--- a/dev-python/pyclipper/pyclipper-1.2.1.ebuild
+++ b/dev-python/pyclipper/pyclipper-1.2.1.ebuild
@@ -19,14 +19,12 @@ IUSE=""
BDEPEND="
dev-python/cython[${PYTHON_USEDEP}]
dev-python/setuptools_scm[${PYTHON_USEDEP}]
- test? (
- dev-python/unittest2[${PYTHON_USEDEP}]
- )
"
distutils_enable_tests pytest
src_prepare() {
+ sed -i -e 's:from unittest2:from unittest:' tests/test_pyclipper.py || die
distutils-r1_src_prepare
export SETUPTOOLS_SCM_PRETEND_VERSION="${PV/_p/.post}"
}
diff --git a/dev-python/pytest-rerunfailures/Manifest b/dev-python/pytest-rerunfailures/Manifest
index 932c97610e5b..c99d8b14bca8 100644
--- a/dev-python/pytest-rerunfailures/Manifest
+++ b/dev-python/pytest-rerunfailures/Manifest
@@ -1,3 +1,2 @@
DIST pytest-rerunfailures-10.0.tar.gz 12706 BLAKE2B fb445acd6324a377258ebcd32255bd725dc78f2209990e5807a0553da259ffc101969b7572799efa5041ae68bcc264ab80581cf9d9943ab81d9b158a15dd71d5 SHA512 83270e18cc3f825c0e0184950a149899b99a2b46cfaa6ca1c82b7cf388144265831fc2b8b82ccebb5df57463219cb7e0b41f5beb049feedcba90ae6d48d1e05f
DIST pytest-rerunfailures-10.1.tar.gz 13644 BLAKE2B 05b654128cbc94be803d15e038cdfcaa3879dbc43eb57dcf5cc3f5e52d0e4848a38b70048b32eb5afc99bcaec614abe6febfa95e4e8f7c7e07f6dc71dcdc3915 SHA512 9aa825c7fb1fb36edb78f1cdfc4a5f705e1688d00be0cd311e5cdf542698a2e03eed15b526235e2a35262000ce24923ea1049f3efa449c9a3723a2a5c1316717
-DIST pytest-rerunfailures-9.1.1.tar.gz 12435 BLAKE2B b2118fe9460ebb750c72b05762d70cf53703e4c9982c6343ef02ebcec6630598ac98998ff994268b9108bd6850e71fd5b9cde1d0abb727d33fad238e9b26fa61 SHA512 875591306ab010494ccbb865ea6445ab37422fce9105260d9495215af44057210564aca4fed3b4765b5a30c1cbef120de716d15d10a6db91dcb7d9f5b4f3b102
diff --git a/dev-python/pytest-rerunfailures/pytest-rerunfailures-10.0.ebuild b/dev-python/pytest-rerunfailures/pytest-rerunfailures-10.0.ebuild
index b19314c52858..df16b36b8042 100644
--- a/dev-python/pytest-rerunfailures/pytest-rerunfailures-10.0.ebuild
+++ b/dev-python/pytest-rerunfailures/pytest-rerunfailures-10.0.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
SLOT="0"
LICENSE="MPL-2.0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86 ~amd64-linux ~x86-linux"
BDEPEND="
>=dev-python/pytest-5.0[${PYTHON_USEDEP}]
test? ( !!dev-python/flaky )
diff --git a/dev-python/pytest-rerunfailures/pytest-rerunfailures-9.1.1.ebuild b/dev-python/pytest-rerunfailures/pytest-rerunfailures-9.1.1.ebuild
deleted file mode 100644
index df16b36b8042..000000000000
--- a/dev-python/pytest-rerunfailures/pytest-rerunfailures-9.1.1.ebuild
+++ /dev/null
@@ -1,22 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-DISTUTILS_USE_SETUPTOOLS=rdepend
-inherit distutils-r1
-
-DESCRIPTION="pytest plugin to re-run tests to eliminate flaky failures"
-HOMEPAGE="https://pypi.org/project/pytest-rerunfailures/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-SLOT="0"
-LICENSE="MPL-2.0"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86 ~amd64-linux ~x86-linux"
-BDEPEND="
- >=dev-python/pytest-5.0[${PYTHON_USEDEP}]
- test? ( !!dev-python/flaky )
-"
-
-distutils_enable_tests pytest
diff --git a/dev-python/setuptools/Manifest b/dev-python/setuptools/Manifest
index dde946c58297..6b60439279d9 100644
--- a/dev-python/setuptools/Manifest
+++ b/dev-python/setuptools/Manifest
@@ -1 +1,2 @@
DIST setuptools-57.0.0.tar.gz 2144749 BLAKE2B e1fc99503ee5de425b70bf2733b1c489693e38cd256bf95cb321671bdaf87745eaaf40c43bcd03756a4cefa408dd1414f8c30af274963e3a0ae57f7b95d3f9c0 SHA512 5277d8630367d6b16a49e36ed84d8cc6abfaedf87dac3f795b204626a8f15ca9fd80d158a465d8bcabe9c074c76b87c3378d82a4ba5feee1ac6a5f2c91db061e
+DIST setuptools-57.1.0.tar.gz 2144012 BLAKE2B 148eb7b5e432461f692faeb3fd4eaafb99bb9fcd2c430cbde40fb16b365ed011ce49966a8923337a860b63cdc6d8f3a26efdd138cf4c40c99e72f7d714fce57c SHA512 dfcf75584b3d7ae07e0f58ce8f596d7e9cbe3a0c178411053b066fb4362226bcf6467a79aed0853acd0b9f6a3371c47ddb07d77cbd780fe9782b8c19bce2e5fb
diff --git a/dev-python/setuptools/setuptools-57.1.0.ebuild b/dev-python/setuptools/setuptools-57.1.0.ebuild
new file mode 100644
index 000000000000..0b9e15bc77b5
--- /dev/null
+++ b/dev-python/setuptools/setuptools-57.1.0.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Set to 'manual' to avoid triggering install QA check
+DISTUTILS_USE_SETUPTOOLS=manual
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="https://github.com/pypa/setuptools https://pypi.org/project/setuptools/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/jaraco-envs[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-path-3.2.0[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-fixture-config[${PYTHON_USEDEP}]
+ dev-python/pytest-virtualenv[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-20[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ ' python3_{7..10} pypy3)
+ )
+"
+PDEPEND="
+ >=dev-python/certifi-2016.9.26[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]"
+
+# Force in-source build because build system modifies sources.
+DISTUTILS_IN_SOURCE_BUILD=1
+
+DOCS=( {CHANGES,README}.rst )
+
+python_test() {
+ # keep in sync with python_gen_cond_dep above!
+ has "${EPYTHON}" python3.{7..10} pypy3 || continue
+
+ distutils_install_for_testing
+ local deselect=(
+ # network
+ 'setuptools/tests/test_virtualenv.py::test_pip_upgrade_from_source[None]'
+ setuptools/tests/test_distutils_adoption.py
+ # TODO
+ setuptools/tests/test_easy_install.py::TestSetupRequires::test_setup_requires_with_allow_hosts
+ )
+ [[ ${EPYTHON} == pypy3 ]] && deselect+=(
+ setuptools/tests/test_develop.py::TestDevelop::test_2to3_user_mode
+ )
+
+ # test_easy_install raises a SandboxViolation due to ${HOME}/.pydistutils.cfg
+ # It tries to sandbox the test in a tempdir
+ HOME="${PWD}" epytest ${deselect[@]/#/--deselect } \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")" \
+ setuptools
+}
+
+python_install() {
+ export DISTRIBUTE_DISABLE_VERSIONED_EASY_INSTALL_SCRIPT=1
+ distutils-r1_python_install
+}
diff --git a/dev-python/testresources/testresources-2.0.1.ebuild b/dev-python/testresources/testresources-2.0.1.ebuild
index ab069b2c4f5a..7265a524b260 100644
--- a/dev-python/testresources/testresources-2.0.1.ebuild
+++ b/dev-python/testresources/testresources-2.0.1.ebuild
@@ -1,10 +1,9 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-
inherit distutils-r1
DESCRIPTION="A pyunit extension for managing expensive test resources"
@@ -14,24 +13,19 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux"
-IUSE="test"
-RESTRICT="!test? ( test )"
BDEPEND="
dev-python/pbr[${PYTHON_USEDEP}]
test? (
- dev-python/nose[${PYTHON_USEDEP}]
dev-python/testtools[${PYTHON_USEDEP}]
dev-python/fixtures[${PYTHON_USEDEP}]
)"
+distutils_enable_tests nose
+
python_prepare_all() {
sed \
-e 's:testBasicSortTests:_&:g' \
-i testresources/tests/test_optimising_test_suite.py || die
distutils-r1_python_prepare_all
}
-
-python_test() {
- nosetests --verbose || die "Tests failed under ${EPYTHON}"
-}
diff --git a/dev-python/testscenarios/testscenarios-0.5.0-r1.ebuild b/dev-python/testscenarios/testscenarios-0.5.0-r1.ebuild
index dc5dbe25ec9a..4a851a21d7a7 100644
--- a/dev-python/testscenarios/testscenarios-0.5.0-r1.ebuild
+++ b/dev-python/testscenarios/testscenarios-0.5.0-r1.ebuild
@@ -1,10 +1,9 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-
inherit distutils-r1
DESCRIPTION="A pyunit extension for dependency injection"
@@ -14,20 +13,16 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
-IUSE="test"
-RESTRICT="!test? ( test )"
RDEPEND="
dev-python/testtools[${PYTHON_USEDEP}]"
# using pytest for tests since unittest loader fails with py3.5+
-DEPEND="
+BDEPEND="
>=dev-python/pbr-0.11[${PYTHON_USEDEP}]"
distutils_enable_tests pytest
-python_prepare_all() {
- # Remove a faulty file from tests, missing a required attribute
- rm ${PN}/tests/test_testcase.py || die
- distutils-r1_python_prepare_all
+python_test() {
+ epytest --deselect testscenarios/tests/test_testcase.py
}
diff --git a/dev-python/testtools/files/testtools-2.4.0-assertitemsequal.patch b/dev-python/testtools/files/testtools-2.4.0-assertitemsequal.patch
new file mode 100644
index 000000000000..e46bf29c8bfc
--- /dev/null
+++ b/dev-python/testtools/files/testtools-2.4.0-assertitemsequal.patch
@@ -0,0 +1,27 @@
+From 2ead7c11a54b0860e02992212e302c4a7bd26c35 Mon Sep 17 00:00:00 2001
+From: Matthew Treinish <mtreinish@kortar.org>
+Date: Wed, 8 Jul 2020 14:22:24 -0400
+Subject: [PATCH] Update testtools/testcase.py
+
+Co-authored-by: Thomas Grainger <tagrain@gmail.com>
+---
+ testtools/testcase.py | 1 +
+ 1 file changed, 1 insertion(+)
+
+Rebased for 2.4.0 by Michał Górny (eliminating intermediate commits).
+
+diff --git a/testtools/testcase.py b/testtools/testcase.py
+index bff5be2..22e9143 100644
+--- a/testtools/testcase.py
++++ b/testtools/testcase.py
+@@ -501,6 +501,7 @@ class TestCase(unittest.TestCase):
+ if mismatch_error is not None:
+ raise mismatch_error
+
++ assertItemsEqual = unittest.TestCase.assertCountEqual
+ def addDetailUniqueName(self, name, content_object):
+ """Add a detail to the test, but ensure it's name is unique.
+
+--
+2.32.0
+
diff --git a/dev-python/testtools/files/testtools-2.4.0-py310.patch b/dev-python/testtools/files/testtools-2.4.0-py310.patch
new file mode 100644
index 000000000000..d2d0c092d14a
--- /dev/null
+++ b/dev-python/testtools/files/testtools-2.4.0-py310.patch
@@ -0,0 +1,43 @@
+From d528842b99b16efce212e15dae3f0a54927d06d8 Mon Sep 17 00:00:00 2001
+From: Cyril Roelandt <cyril@redhat.com>
+Date: Fri, 19 Mar 2021 02:50:13 +0000
+Subject: [PATCH] Fix tests with Python 3.10
+
+In Python 3, error messages have become a bit more precise. For
+instance, the following code snippet:
+
+----
+class Foo():
+ def bar(self, a):
+ pass
+
+try:
+ Foo().bar(1, 2)
+except TypeError as e:
+ print(e)
+----
+
+will return:
+
+- in Python 3.9: "bar() takes 2 positional arguments but 3 were given"
+- in Python 3.10: "Foo.bar() takes 2 positional arguments but 3 were
+ given"
+
+Fix our tests accordingly.
+---
+ testtools/tests/test_testsuite.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/testtools/tests/test_testsuite.py b/testtools/tests/test_testsuite.py
+index 7ad5b74d..65cb88d7 100644
+--- a/testtools/tests/test_testsuite.py
++++ b/testtools/tests/test_testsuite.py
+@@ -181,7 +181,7 @@ def run(self):
+ test.run(process_result)
+ """, doctest.ELLIPSIS))
+ self.assertThat(events[3][6].decode('utf8'), DocTestMatches("""\
+-TypeError: run() takes ...1 ...argument...2...given...
++TypeError: ...run() takes ...1 ...argument...2...given...
+ """, doctest.ELLIPSIS))
+ events = [event[0:10] + (None,) for event in events]
+ events[1] = events[1][:6] + (None,) + events[1][7:]
diff --git a/dev-python/testtools/testtools-2.4.0-r2.ebuild b/dev-python/testtools/testtools-2.4.0-r2.ebuild
new file mode 100644
index 000000000000..d2f30eea8106
--- /dev/null
+++ b/dev-python/testtools/testtools-2.4.0-r2.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Extensions to the Python standard library unit testing framework"
+HOMEPAGE="https://github.com/testing-cabal/testtools"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+RDEPEND="
+ >=dev-python/extras-1.0.0[${PYTHON_USEDEP}]
+ dev-python/python-mimeparse[${PYTHON_USEDEP}]
+ >=dev-python/pbr-0.11[${PYTHON_USEDEP}]
+ dev-python/pyrsistent[${PYTHON_USEDEP}]
+ >=dev-python/six-1.4.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+ test? (
+ >=dev-python/fixtures-1.3.0[${PYTHON_USEDEP}]
+ dev-python/testscenarios[${PYTHON_USEDEP}]
+ )
+"
+PDEPEND=">=dev-python/fixtures-1.3.0[${PYTHON_USEDEP}]"
+
+PATCHES=(
+ "${FILESDIR}"/testtools-2.4.0-py39.patch
+ "${FILESDIR}"/testtools-2.4.0-py310.patch
+ "${FILESDIR}"/testtools-2.4.0-assertitemsequal.patch
+)
+
+distutils_enable_sphinx doc
+distutils_enable_tests unittest
+
+src_prepare() {
+ # eliminate unittest2 & traceback2
+ sed -i -e '/unittest2/d' -e '/traceback2/d' requirements.txt || die
+ # also conditional imports
+ find -name '*.py' -exec \
+ sed -i -e 's:unittest2:unittest:' {} + || die
+ sed -i -e 's/^traceback =.*/import traceback/' \
+ testtools/content.py || die
+ # py3.10 changed the output
+ sed -i -e 's:test_syntax_error:_&:' \
+ testtools/tests/test_testresult.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ "${PYTHON}" -m testtools.run testtools.tests.test_suite ||
+ die "tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/xlsxwriter/Manifest b/dev-python/xlsxwriter/Manifest
index 13d07b2628da..66be15ddd251 100644
--- a/dev-python/xlsxwriter/Manifest
+++ b/dev-python/xlsxwriter/Manifest
@@ -1 +1,2 @@
DIST XlsxWriter-RELEASE_1.4.3.tar.gz 34122578 BLAKE2B 7f9a9f2f9c7eb6f425192e30961d455dc348b51cec72ce4602b975c41cdfcbfc4e8d49efe62877d8f96dc6ce02320f64fa2ff55586a17d29cf2a950c9eaa9593 SHA512 38b12e3c6bd14122ea9bf652ef33078cf4aedc2be7ce8c3151960331827642713d25f3f9bff9ad7d375d251086e1cc58b09e4d77141dd2973c21a1d24c0b0dd0
+DIST XlsxWriter-RELEASE_1.4.4.tar.gz 34138048 BLAKE2B 159c305171eba27c66d3d9b9b1fd0e664f4acc572079c4daa6ac50c72e1e1e6016a93815b7de27af10b6e6653b02efb0291073284dabf9a6f15495c1f61ef059 SHA512 2a459e7eb924ef7475b7fed8f5689d4c2b2669a65d5f3e251a51c5e55cc8c4a545eb1d83534168b19c802740366fe2c4ef14c6c5850213fd690f01e42bbe4ca3
diff --git a/dev-python/xlsxwriter/xlsxwriter-1.4.4.ebuild b/dev-python/xlsxwriter/xlsxwriter-1.4.4.ebuild
new file mode 100644
index 000000000000..5eecb258a58b
--- /dev/null
+++ b/dev-python/xlsxwriter/xlsxwriter-1.4.4.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+TAG=RELEASE_${PV}
+MY_P=XlsxWriter-${TAG}
+DESCRIPTION="Python module for creating Excel XLSX files"
+HOMEPAGE="https://github.com/jmcnamara/XlsxWriter"
+SRC_URI="
+ https://github.com/jmcnamara/XlsxWriter/archive/${TAG}.tar.gz
+ -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+distutils_enable_tests pytest